SDL_HINT_EMSCRIPTEN_ASYNCIFY(3)

NAME
SDL_HINT_EMSCRIPTEN_ASYNCIFY - Disable giving back control to the browser automatically when running with asyncify.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_EMSCRIPTEN_ASYNCIFY "SDL_EMSCRIPTEN_ASYNCIFY"

DESCRIPTION
With -s ASYNCIFY, SDL calls emscripten_sleep during operations such as refreshing the screen or polling events.

This hint only applies to the emscripten platform.

The variable can be set to the following values:

• "0": Disable emscripten_sleep calls (if you give back browser control manually or use asyncify for other purposes).

• "1": Enable emscripten_sleep calls. (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.